DIR : /home/kozerus/public_html/jkwii/js/jsdoit/Stars/style.css

/home/kozerus/public_html/jkwii/js/jsdoit/Stars

/**
 *  @fileoverview  Stars
 *  @author        Tohl SMALLFIELD
 */
body,div,p,img,label,input,button,canvas{
  margin: 0; padding: 0;
}
body{
  background-color: #000;
  overflow: hidden;
}
body.debug{
  overflow: visible;
}
#wrapper{
  width: 465px; height: 465px;
}
#sample,
#wrapper,
#debug img{
  background: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABAAAAAQAQMAAAAlPW0iAAAABlBMVEX////MzMw46qqDAAAAEElEQVR42mNg+M+AFeEQBgB+vw/xeaW7jwAAAABJRU5ErkJggg==) repeat scroll left top;
}
#debug img{
  display: block;
  margin: 10px;
  border: 1px solid #ccc;
}
/*------------------------------------------------
  
------------------------------------------------*/
#ui{
  position: relative;
  padding: 5px 7px;
  background-color: #666;
  background-image: -webkit-gradient(linear, left top, left bottom, from(#666), to(#333));
  background-image: -moz-linear-gradient(top, #666, #333);
  text-align: left;
  color: #fff;
  border-bottom: 1px solid #000;
  overflow: hidden;
}
/*------------------------------------------------
  
------------------------------------------------*/
input, #sample, button{
  -webkit-border-radius: 5px;
  -moz-border-radius:    5px;
  border-radius:         5px;
}
input{
  line-height: 1;
  background-color: #eee;
  -webkit-box-shadow: 2px 2px 2px rgba(0, 0, 0, .2) inset;
  -moz-box-shadow:    2px 2px 2px rgba(0, 0, 0, .2) inset;
  box-shadow:         2px 2px 2px rgba(0, 0, 0, .2) inset;
  border: 1px solid #333;
  margin-right: 5px;
  padding: 5px;
  color: #666;
}
input:hover{
  background-color: #fff;
  border-color: #00;
  color: #000;
}
input:focus{
  background-color: #ffc;
  border-color: #000;
  color: #000;
}
input.invalid{
  background-color: #fee;
  border-color: #f00;
  color: #f00;
}
p{
  float: left;
}
p label{
  display: block;
  margin-bottom: 2px;
  padding: 2px 0 0 2px;
  letter-spacing: 1px;
  font-size: 65%;
  line-height: 1;
  font-family: verdana, osaka, arial, sans-serif;
}
p input{
  padding: 2px;
}
#paramChar{
  float: left;
  width: 1.5em; height: 30px;
  font-size: 30px;
  text-align: center;
}
#paramColor,
#paramBgcolor{
  width: 100px;
}

/*------------------------------------------------
  
------------------------------------------------*/
#sample{
  float: left;
  width: 36px; height: 36px;
  margin: 1px 8px 0 4px;
  border: 2px solid #fff;
  overflow: hidden;
}
#sample div{
  position: relative;
  top: -20px; left: -20px;
  width: 76px; height: 76px;
  -webkit-transform: rotate(45deg);
  -moz-transform:    rotate(45deg);
  -ms-transform:     rotate(45deg);
  -o-transform:      rotate(45deg);
  transform:         rotate(45deg);
}
#sample label{
  position: absolute;
  top: 0; bottom: 0;
  display: block;
  width: 50%; height: 100%;
  text-indent: -9999px;
  cursor: pointer;
}
#sampleColor{
  left: 0;
  background-color: #000;
}
#sampleBgcolor{
  right: 0;
  background-color: #fff;
}

/*------------------------------------------------
  
------------------------------------------------*/
button{
  position: relative;
  float: right;
  width: 80px; height: 40px;
  background: #a00 url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAACgA\
AAAaCAMAAADyku75AAAAP1BMVEX///+jHh6kISGmJCS6V1e8Wl\
rKfn7MgYHYn5/ZoqLapaXjurrkvb3lwMDnw8Poxsbpycn15+f2\
6ur79vb////lqd9SAAAAAXRSTlMAQObYZgAAAKZJREFUeNqt09\
kOhCAMBdCKQsdlXO//f6sFE0ZZTB/mPhhLTsRWJCrFkTLQSmgl\
irIbNxQikq+7bey8+6CSnwR6eV7NgaX7WFhaVA4LHXKd27wZjk\
U7S3n4NZi8a75VxpsA8/FwukEFMikh/Rc6JXSoQ/NwGbzGEwbe\
3F0Km28Y+Fr7aM+sZFVODgX1pWOVZvDvYKf9Xe6TzWfLivlHSV\
qp/am5uHoCJ/Qd36Xm/DAAAAAASUVORK5CYII=") no-repeat scroll center center;
  -webkit-box-shadow: 0 0 2px rgba(0, 0, 0, .5), 0 0 5px rgba(255, 0, 0, .5) inset;
  -moz-box-shadow:    0 0 2px rgba(0, 0, 0, .5), 0 0 5px rgba(255, 0, 0, .5) inset;
  box-shadow:         0 0 2px rgba(0, 0, 0, .5), 0 0 5px rgba(255, 0, 0, .5) inset;
  border: 1px solid #300;
  cursor: pointer;
  color: #fff;
  font-weight: bold;
  font-family: verdana, sans-serif;
  text-indent: -9999px;
  outline: none;
}
button:hover { opacity: .75; }
button:active{ opacity: .5; }
/*------------------------------------------------
  
------------------------------------------------*/
#result{
  position: relative;
  width: 100%; height: 412px;
  text-align: center;
}
#result img{
  position: relative;
  top: 50%;
  vertical-align: middle;
}
//


koh5_pano



Your browser does not support the HTML5 canvas element.


Drag mouse to navigate.

Navigation





17.Aug.2010, Martin Wengenmayer